module Printos

  require 'ostruct'

  class << self

    def config
      @config ||= OpenStruct.new(default_params)
    end

    def configure
      yield config
    end

    private

    def default_params
      if defined?(Rails)
        YAML.load_file(File.join(Rails.root, 'config', 'printos.yml')) rescue {}
      else
        {}
      end
    end
  end
end
